// -*- c++ -*-

/*
 *
 * Copyright (C) 2002 George Staikos <staikos@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */




#ifndef _V4LDEVCAMERA_H
#define _V4LDEVCAMERA_H

#include "v4ldev.h"

/**
 * Interface for Video4Linux cameras.
 *
 * @version $Id: v4ldevcamera.h,v 1.1 2002/06/08 02:26:31 staikos Exp $
 */
class V4LCamera : public V4LDev
{
    friend class V4LDev;

public:
    ~V4LCamera();

    virtual bool isCamera() const { return true; }

protected:
    V4LCamera(int fd, const QString &name, int channels, int type, int minw, int minh, int maxw, int maxh);
};


#endif
