/*
 *
 * Copyright (C) 2002 George Staikos <staikos@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */



#ifndef _AUDIOMANAGER_H
#define _AUDIOMANAGER_H

#include <qmap.h>
#include <qstring.h>
#include <qobject.h>

class QVMixerPlugin;

class AudioManager : public QObject
{
	Q_OBJECT

public:
    bool muted();
    int volumeLeft();
    int volumeRight();    

    void rescanPlugins();
    QVMixerPlugin *plugin();

public slots:
    int setVolume(int left, int right);
    int setVolume(int vol);  // sets left and right together
    int setMuted(bool mute);

signals:
    void volumeChanged(int left, int right);

protected:
    friend class QtVision;
    AudioManager(QtVision *qtv);
    ~AudioManager();
    void scanPlugins();

private:
    QVMixerPlugin *_mixer;
    QString _selectedMixer;
    QtVision *_qtv;
};



#endif

