/*
 *
 * Copyright (C) 2002 George Staikos <staikos@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "mainwindow.h"

int main(int argc, char **argv) {
    static KCmdLineOptions options[] = {
        { 0, 0, 0 }
    };

    KAboutData about("qtvision", I18N_NOOP("qtvision"), "Development post-alpha 1",
		     I18N_NOOP("TV for KDE"),
                     KAboutData::License_LGPL,
		     I18N_NOOP("(c) 2002 The KWinTV Developers"), 0,
                     "http://www.kwintv.org/");
    about.addAuthor("George Staikos", "Primary author and maintainer", "staikos@kde.org");
    about.addAuthor("Richard Moore", "GUI design, channel plugins", "rich@kde.org");
    about.addAuthor("Kevin Hessels", "Configuration dialog", "khessels@shaw.ca");
    about.addAuthor("Stefan Hellwig", "Webmaster, developer", "stefan@stefanhellwig.de");
    about.addAuthor("Rizsanyi Zsolt", "Infrared remote support, developer", "rizsanyi@myrealbox.com");
    about.addAuthor("Dawit Alemayehu", "Developer", "adawit@kde.org");
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication a;
//    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

    MainWindow mw;
    mw.setCaption( i18n("QtVision") );

    a.setMainWidget( &mw );
    mw.show();

    return a.exec();
}

