// -*- c++ -*-

/*
 *
 * Copyright (C) 2002 Richard Moore <rich@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef QTVISIONEXTENSION_H
#define QTVISIONEXTENSION_H

#include <kpanelextension.h>

class QtVisionPart;
class QtVisionWidget;

/**
 * A panel extension that displays a TV picture.
 *
 * @author Richard Moore, <rich@kde.org>
 * @version $Id: qtvisionextension.h,v 1.6 2003/02/04 23:56:30 rich Exp $
 */
class QtVisionExtension : public KPanelExtension
{
    Q_OBJECT

public:
    QtVisionExtension( const QString& configFile, Type t = Normal, int actions = 0,
		    QWidget *parent = 0, const char *name = 0 );
    ~QtVisionExtension();

    virtual QSize sizeHint( Position , QSize maxsize ) const;
    virtual void positionChange( Position /* position */);

protected slots:
    virtual void about();
    virtual void help();
    virtual void preferences();
    virtual void reportBug();

protected:
    void showEvent( QShowEvent *se );

private:
    QtVisionPart *tv;
    QtVisionWidget *screen;
};


#endif // QTVISIONEXTENSION_H
