/***************************************************************************
                          qtvisionsystray.h  -  description
                             -------------------
    begin                : Sun Jul 21 2002
    copyright            : (C) 2002 by Kevin Hessels
    email                : khessels@shaw.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __QTVISIONSYSTRAY_H
#define __QTVISIONSYSTRAY_H

#include <ksystemtray.h>

class MainWindow;
class KPopupMenu;
class QtVisionActions;


/**
  *@author Kevin Hessels
  */

class QtVisionSysTray : public KSystemTray
{

Q_OBJECT

public: 
	QtVisionSysTray(MainWindow *parent = 0, const char *name = 0, QtVisionActions *a = 0);
	~QtVisionSysTray();

protected:
	virtual void mouseDoubleClickEvent(QMouseEvent *);
	virtual void mousePressEvent(QMouseEvent *);
#ifndef QT_NO_WHEELEVENT
	virtual void wheelEvent(QWheelEvent *);
#endif
	
private:
	QtVisionActions *actions;
	MainWindow *mainWin;
	KPopupMenu *menu;

signals:
	void doubleClicked();
	void leftClicked();
};

#endif
