/*
 * Copyright (C) 2002 Richard Moore <rich@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <klocale.h>
#include <klibloader.h>

#include "screensaver.h"
#include "screensaver.moc"

// libkscreensaver interface
extern "C"
{
    const char *kss_applicationName = "qtvision.kss";
    const char *kss_description = I18N_NOOP( "A screensaver that displays a TV screen" );
    const char *kss_version = "0.1";

    KScreenSaver *kss_create( WId id )
    {
        KLibLoader::self()->globalLibrary("libqtvision.so");
        return new QtVisionSaver( id );
    }

    QDialog *kss_setup()
    {
        return new QDialog( 0, "testststewtew");
    }
}

QtVisionSaver::QtVisionSaver( WId id ) : KScreenSaver( id )
{
    blank();
}

QtVisionSaver::~QtVisionSaver()
{
}

void QtVisionSaver::blank()
{
    setBackgroundColor( Qt::blue );
    erase();
}

