// -*- c++ -*-

/*
 *
 * Copyright (C) 2002 George Staikos <staikos@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */



#ifndef __QVSIMON_PLUGIN_H
#define __QVSIMON_PLUGIN_H

#include <qvmiscplugin.h>
#include <qtimer.h>

class QCheckBox;
class QComboBox;

class CCThread;

/**
 * Simon OSD Plugin
 */
class QtVisionSimon : public QVMiscPlugin
{
    Q_OBJECT

public:
    QtVisionSimon(QtVision *qtv, QWidget *parent = 0, const char* name = 0);
    virtual ~QtVisionSimon();

    bool event(QEvent *e);

public slots:
    void channelChanged();
    virtual QWidget *configWidget(QWidget *parent, const char *name);
    virtual void saveConfig();


private:
    CCThread *_thread;
    bool _cfg_displayText, _cfg_displayTitle;
    int _cfg_pal;  // NTSC = 0, PAL/SECAM = 1
    QString _cfg_dev;
    QCheckBox *_cb_dispText, *_cb_dispTitle;
    QComboBox *_cb_norm, *_cb_dev;
};

#endif

