// -*- c++ -*-

/*
 *
 * Copyright (C) 2002 George Staikos <staikos@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */



#ifndef __QVMisc_PLUGIN_H
#define __QVMisc_PLUGIN_H

#include <qwidget.h>
#include <qstring.h>
#include "qvpluginbase.h"

class QVMiscPluginPrivate;

/**
 * Misc plugin base class
 */
class QVMiscPlugin : public QVPluginBase
{
    Q_OBJECT

public:
    QVMiscPlugin(QtVision *qtv, const QString& cfgkey, QWidget *parent = 0, const char* name = 0);
    virtual ~QVMiscPlugin();

    virtual bool filterNumberKey(int key);

private:
    QVMiscPluginPrivate *d;
};

#endif

