
/*
 *
 * Copyright (C) 2002 George Staikos <staikos@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#include "qvpluginbase.h"

#include <kconfig.h>

QVPluginBase::QVPluginBase(QtVision *qtv, const QString& cfgkey, QObject *o, const char* n)
: QObject(o, n), _qtv(qtv) {
	_cfg = new KConfig(QString("qtvision-plugin-")+cfgkey);
}


QVPluginBase::~QVPluginBase() {
	delete _cfg;
	_cfg = 0;
}

const PluginDesc& QVPluginBase::pluginDescription() const {
	return _description;
}

void QVPluginBase::saveConfig() {
}

QWidget* QVPluginBase::configWidget(QWidget *, const char *) {
	return 0;
}

QtVision* QVPluginBase::driver() const {
	return _qtv;
}

#include "qvpluginbase.moc"

