/*
 *
 * Copyright (C) 2002 George Staikos <staikos@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <kdebug.h>

#include "qvsrcplugin.h"

QVSourcePlugin::QVSourcePlugin(QtVision *qtv, const QString& cfgkey, QObject *o, const char* n)
: QVPluginBase(qtv, cfgkey, o, n), _device(""),
 _source(""), _isVideoDesktop(false) {
}


QVSourcePlugin::~QVSourcePlugin() {
}

bool QVSourcePlugin::isTuner(const QString &dev)
{
	kdDebug() << "-->" << _tuners.size() << " tuners detected" << endl;
	kdDebug() << "-->" << "_tuners[" << dev << "] is " << _tuners[dev] << endl;
	return _tuners[dev];
}

const QStringList& QVSourcePlugin::deviceList() const {
	return _devices;
}

const QStringList& QVSourcePlugin::sourceList(const QString& dev) const {
	return _sources[dev];
}

QString QVSourcePlugin::device() const {
	return _device;
}

QString QVSourcePlugin::source() const {
	return _source;
}

void QVSourcePlugin::setWidget(QWidget *w) {
	_widget = w;
}

bool QVSourcePlugin::canVideoDesktop() const { return false;}

bool QVSourcePlugin::canGrabStill() const {
	return false;
}

bool QVSourcePlugin::grabStill( QPixmap * ) {
	return false;
}

void QVSourcePlugin::viewMoved(int,int) {
}

bool QVSourcePlugin::needsNorm() const {
	return false;
}

void QVSourcePlugin::setNorm(int) {
}

int QVSourcePlugin::norm() const {
	return -1;
}


#include "qvsrcplugin.moc"

