// -*- c++ -*-

#include <qlabel.h>
#include <qlineedit.h>
#include <qtextbrowser.h>

#include <kanimwidget.h>
#include <klocale.h>

#include "teletextwidget.h"
#include "teletextsource.h"

#include "teletextmainwin.h"
#include "teletextmainwin.moc"

TeletextMainWin::TeletextMainWin()
    : QVBox()
{
    setMargin(8);
    setSpacing(6);

    QHBox *hbox = new QHBox( this );
    hbox->setSpacing(6);
    (void) new QLabel( i18n("Page:"), hbox );
    edit = new QLineEdit( hbox );

    anim = new KAnimWidget( "kde", 0, hbox );
    anim->start();

    view = new TeletextWidget( this );
    if ( !view->source()->start( "/dev/vbi" ) )
        view->source()->start( "/dev/vbi0" );

    edit->setText( QString::number(view->source()->pageNumber(), 16) );

    connect( edit, SIGNAL( returnPressed() ), this, SLOT( returnPressed() ) );
    connect( view->pageView(), SIGNAL( linkClicked(const QString &) ), this, SLOT( setPage(const QString &) ) );
    connect( view->source(), SIGNAL( foundPage() ), this, SLOT( foundPage() ) );
}

TeletextMainWin::~TeletextMainWin()
{
}

void TeletextMainWin::returnPressed()
{
    setPage( edit->text() );
}

void TeletextMainWin::setPage( const QString &page )
{
    if ( page.length() != 3 )
	return;

    bool ok;
    int num = page.toInt( &ok, 16 );
    if ( ok ) {
	view->source()->setPage( num, -1 );
	edit->setText( page );
    }

    anim->start();
}

void TeletextMainWin::foundPage()
{
    QString s( "Page: %1" );
    setCaption( s.arg(view->source()->pageNumber(),0,16) );
    anim->stop();
}

