// -*- c++ -*-

#ifndef TELETEXTSOURCE_H
#define TELETEXTSOURCE_H

#include <qobject.h>
#include "vt.h"

typedef struct vt_page TeletextPage;
typedef struct vt_event TeletextEvent;

class TeletextSource : public QObject
{
    Q_OBJECT

public:
    TeletextSource( QObject *parent=0, const char *name=0 );
    virtual ~TeletextSource();

    bool start( const char *dev );
    void stop();

    TeletextPage *page() const { return vtp; }
    int pageNumber() const { return pgno; }
    int subPageNumber() const { return subno; }

public slots:
    void setPage( int pgno );
    void setPage( int pgno, int subno );

signals:
    void foundPage();
    void foundPage( int pgno );

    void pageChanged( TeletextPage *page );
    void headerChanged( const char *header );

protected slots:
    void hack();

protected:
    void setPage( TeletextPage *page );
    void teletextEvent( TeletextEvent *ev );

private:
    static void dispatch_event( TeletextSource *tts, struct vt_event *ev);

private:
    struct vbi *vbi;
    int pgno;
    int subno;
    TeletextPage *vtp;
//    bool revealed;
//    bool hold;
//    int searchdir;
//    int status;
//    u8 statusline[W+1];
//    struct export *export;
};


#endif // TELETEXTSOURCE_H

