// -*- c++ -*-

#ifndef TELETEXTWIDGET_H
#define TELETEXTWIDGET_H

#include <qframe.h>
#include <qvbox.h>

#include "teletextsource.h"

class QLabel;
class QTextBrowser;

/**
 *
 *
 * @version $Id: teletextwidget.h,v 1.1 2002/09/25 22:34:55 rich Exp $
 */
class TeletextWidget : public QVBox
{
    Q_OBJECT

public:
    TeletextWidget( QWidget *parent=0, const char *name=0, WFlags = 0 );
    virtual ~TeletextWidget();

    TeletextSource *source() const { return src; }
    QTextBrowser *pageView() const { return view; }

    QString parseLine( const char *line );
    QString parseHeader( const char *hdr );
    QString createLinks( const QString &line );

public slots:
    void setPage( TeletextPage *page );
    void setHeader( const char *hdr );

    void updateGeometry();
    void updateHeader();

protected:
    void resizeEvent( QResizeEvent * );

private:
    TeletextSource *src;
    QLabel *header;
    QTextBrowser *view;
    QCString hdr;
};

#endif // TELETEXTWIDGET_H

