#include <qvbox.h>

#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>

#include <kdebug.h>
#include <klocale.h>

#include "channelstore.h"
#include "channeleditor.h"
#include "channelio.h"

static KCmdLineOptions options[] =
{
  { "+file", I18N_NOOP("Input filename."), 0 },
  { 0, 0, 0 }
};

int main( int argc, char *argv[] )
{
  KAboutData aboutData( "test_channeleditor", I18N_NOOP( "test_channeleditor" ),
			"test_channeleditor 0.1", 
			I18N_NOOP( "Command-line tool for testing channeleditor." ),
			KAboutData::License_LGPL,
			"(C) 2002 Richard Moore (rich@kde.org)" );
  aboutData.addAuthor( "Richard Moore", 0, "rich@kde.org" );

  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
  QObject::connect( &app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()) );

  //
  // Test load
  //
  ChannelStore cs;

  QString in;
  if ( args->count() )
      in = QString(args->arg( 0 ));
  else
      in = QString("channels.xml");

  kdDebug() << "test_channeleditor: About to load from " << in << endl;
  if ( !cs.load( in ) )
      return 1;

  kdDebug() << "test_channeleditor: Loaded " << cs.count() << " channels" << endl;

  ChannelEditor *ce = new ChannelEditor( 0 );
  ce->setChannels( &cs );
  ce->show();

  return app.exec();
}
