#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <klocale.h>

#include "channelstore.h"
#include "channelio.h"

static KCmdLineOptions options[] =
{
  { "in <file>", I18N_NOOP("Input filename."), 0 },
  { "out <file>", I18N_NOOP("Output filename."), 0 },
  { 0, 0, 0 }
};

int main( int argc, char *argv[] )
{
  KAboutData aboutData( "test_channelio", I18N_NOOP( "test_channelio" ),
			"test_channelio 0.1", 
			I18N_NOOP( "Command-line tool for testing channelio." ),
			KAboutData::License_LGPL,
			"(C) 2002 Richard Moore (rich@kde.org)" );
  aboutData.addAuthor( "Richard Moore", 0, "rich@kde.org" );

  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
  QObject::connect( &app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()) );

  //
  // Test load
  //
  ChannelStore cs;

  QString in = args->getOption( "in" );
  kdDebug() << "ChannelIO: About to load from " << in << endl;
  if ( !cs.load( in ) )
      return 1;

  QString out = args->getOption( "out" );
  kdDebug() << "ChannelIO: About to save to " << out << endl;
  if ( !cs.save( out ) )
      return 1;

  kdDebug() << "ChannelIO: Saved to " << out << endl;

  return 0;
}
