#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <klocale.h>

#include "channelscannerregion.h"

int main( int argc, char *argv[] )
{
    if ( argc != 2 ) {
	kdWarning() << "Usage: " << argv[0] << " regionfile.xml" << endl;
	return 1;
    }

    QString filename = argv[1];

    ChannelScannerRegion region;
    if ( !region.load( filename ) ) {
	kdWarning() << "Could not load file '" << filename << "'" << endl;
	return 1;
    }

    kdDebug() << "Filename:\t" << filename << endl;
    kdDebug() << "Region Name:\t" << region.name() << endl;
    
    switch ( region.format() ) {
	case ChannelScannerRegion::PAL:
	    kdDebug() << "Format:\t\tPAL" << endl;
	    break;
	case ChannelScannerRegion::NTSC:
	    kdDebug() << "Format:\t\tNTSC" << endl;
	    break;
	case ChannelScannerRegion::SECAM:
	    kdDebug() << "Format:\t\tSECAM" << endl;
	    break;
	default:
	    kdDebug() << "Format:\t\tUnknown" << endl;
    }

    region.first();
    do {
	kdDebug() << "Tuning:\t\t" << region.id() << ", " << region.frequency()  << endl;
    } while ( region.next() );

    kdDebug() << "Done" << endl;

    return 0;
}
