#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kdebug.h>
#include <klocale.h>

#include "qtvisionwidget.h"

static KCmdLineOptions options[] =
{
  { "in <file>", I18N_NOOP("Input filename."), 0 },
  { 0, 0, 0 }
};

int main( int argc, char *argv[] )
{
  KAboutData aboutData( "test_tvwidget", I18N_NOOP( "test_tvwidget" ),
			"test_widget 0.1", 
			I18N_NOOP( "Command-line tool for testing QtVisionWidget." ),
			KAboutData::License_LGPL,
			"(C) 2002 Richard Moore (rich@kde.org)" );
  aboutData.addAuthor( "Richard Moore", 0, "rich@kde.org" );

  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
  QObject::connect( &app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()) );

  QtVisionWidget *w = new QtVisionWidget();
  w->show();

  return app.exec();
}
